Open Perlica API
OpenapiApiV1ItemsIdCraft recipes

查询产出指定物品的合成配方

GET
/api/v1/items/{id}/craft-recipes

Authorization

bearerAuth
AuthorizationBearer <token>

需要凭证时,请使用 Bearer token。

In: header

Path Parameters

id*string

资源 ID。

Query Parameters

page?integer

页码,小于 1 时按 1 处理。

Default1
Range1 <= value
pageSize?integer

每页数量,服务端会限制在 1 到 maxPageSize 之间。

Default50
Range1 <= value

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://openapi.perlica.tech/api/v1/items/string/craft-recipes"
{
  "data": [
    {
      "recipeId": "string",
      "method": "MANUAL",
      "inputs": [
        {
          "itemId": "string",
          "count": 0,
          "perMinute": 0
        }
      ],
      "outputs": [
        {
          "itemId": "string",
          "count": 0,
          "perMinute": 0
        }
      ],
      "machine": {
        "machineId": "string",
        "machineItemId": "string",
        "needPower": true,
        "powerConsume": 0
      },
      "cycleMs": 0,
      "formulaGroupId": "string",
      "sourceItemId": "string",
      "sortId": 0,
      "inputGroups": [
        [
          {
            "itemId": "string",
            "count": 0,
            "perMinute": 0
          }
        ]
      ],
      "outputGroups": [
        [
          {
            "itemId": "string",
            "count": 0,
            "perMinute": 0
          }
        ]
      ]
    }
  ],
  "page": 0,
  "pageSize": 0,
  "total": 0
}
{
  "error": {
    "code": "string",
    "message": "string"
  }
}
{
  "error": {
    "code": "string",
    "message": "string"
  }
}
{
  "error": {
    "code": "string",
    "message": "string"
  }
}

© 2026 Origin Technology 保留所有权利。

Perlica 使用的游戏图片、动画、音频、文本原文,所涉及的公司名称、商标、产品等均为其各自所有者的资产,仅供识别。

部分源数据由 AKEData.Top(渚汐奏梦)提供,并经 Perlica 整理、转换与二次处理;处理结果仅用于信息展示与资料索引。